%define srcname uritemplate

Name:           python-%{srcname}
Version:        0.6
Release:        %mkrel 4
Url:            https://github.com/uri-templates/uritemplate-py
Summary:        Python implementation of RFC6570, URI Template
License:        ASL 2.0
Group:          Networking/Other
Source:		https://github.com/uri-templates/uritemplate-py/archive/uri-template-py-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
Conflicts:	python-google-api-python-client < 1.4

%description
This is a Python implementation of RFC6570, URI Template, and can expand
templates up to and including Level 4 in that specification.

%package -n python3-%{srcname}
Summary:        Python 3 implementation of RFC6570, URI Template
Group:          Networking/Other

%description -n python3-%{srcname}
This is a Python 3 implementation of RFC6570, URI Template, and can expand
templates up to and including Level 4 in that specification.

%prep
%setup -q -n uritemplate-py-uri-template-py-%{version}
%autopatch -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python-%{srcname}
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}*.egg-info

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}*.egg-info


%changelog
* Thu Apr 28 2016 daviddavid <daviddavid> 0.6-4.mga6
+ Revision: 1007074
- use new python macros

* Sat Feb 20 2016 umeabot <umeabot> 0.6-3.mga6
+ Revision: 971105
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.6-2.mga6
+ Revision: 889283
- rebuild for python 3.5

* Mon Sep 14 2015 pterjan <pterjan> 0.6-1.mga6
+ Revision: 879038
- imported package python-uritemplate

